package net.sf.corn.gate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation is designed to specify the targets of 
 * either an advice that implements {@link IExecutionAdvice}.
 * @author Serhat Dirik
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface GateServiceTargets {
	
	GateServiceTarget[]   serviceTargets() default{};
}
